Vasp 6.2.1 Intel Oneapi Compiler 2021.3.0 /Openmpi 4.1.1 nonl.f90: catastrophic error

Questions regarding the compilation of VASP on various platforms: hardware, compilers and libraries, etc.

Moderators: Global Moderator, Moderator

Post Reply
Message
Author
hayak
Newbie
Newbie
Posts: 6
Joined: Mon May 06, 2013 11:47 am
License Nr.: 5-1316
Location: Ariel university Israel

Vasp 6.2.1 Intel Oneapi Compiler 2021.3.0 /Openmpi 4.1.1 nonl.f90: catastrophic error

#1 Post by hayak » Mon Aug 09, 2021 7:01 am

Hi,
I try to compile vasp 6.2.1 using Intel OneApi Compiler 2021.3.0 + OpenMPI 4.1.1 (makefile.include.linux_intel_omp) and get with error:

nonl.f90: catastrophic error: **Internal compiler error: segmentation violation signal raised** Please report this error along with the circumstances in which it occurred in a Software Problem Report. Note: File and line given may not be explicit cause of this error.
compilation aborted for nonl.f90 (code 1)

marie-therese.huebsch
Global Moderator
Global Moderator
Posts: 51
Joined: Tue Jan 19, 2021 12:01 am

Re: Vasp 6.2.1 Intel Oneapi Compiler 2021.3.0 /Openmpi 4.1.1 nonl.f90: catastrophic error

#2 Post by marie-therese.huebsch » Mon Aug 09, 2021 10:35 am

Hi hayak,

Thank you for reporting an issue. I would like to investigate it in detail, but more specific information is necessary. Please have a look at the forum guidelines.

Best regards,
Marie-Therese

hayak
Newbie
Newbie
Posts: 6
Joined: Mon May 06, 2013 11:47 am
License Nr.: 5-1316
Location: Ariel university Israel

Re: Vasp 6.2.1 Intel Oneapi Compiler 2021.3.0 /Openmpi 4.1.1 nonl.f90: catastrophic error

#3 Post by hayak » Tue Aug 10, 2021 6:36 am

Log files
You do not have the required permissions to view the files attached to this post.

hayak
Newbie
Newbie
Posts: 6
Joined: Mon May 06, 2013 11:47 am
License Nr.: 5-1316
Location: Ariel university Israel

Re: Vasp 6.2.1 Intel Oneapi Compiler 2021.3.0 /Openmpi 4.1.1 nonl.f90: catastrophic error

#4 Post by hayak » Tue Aug 10, 2021 7:30 am

Output
You do not have the required permissions to view the files attached to this post.

User avatar
juergen.furthmueller
Newbie
Newbie
Posts: 5
Joined: Fri Nov 08, 2019 9:46 am

Re: Vasp 6.2.1 Intel Oneapi Compiler 2021.3.0 /Openmpi 4.1.1 nonl.f90: catastrophic error

#5 Post by juergen.furthmueller » Tue Aug 10, 2021 9:38 am

That's just an internal bug of a catastrophic compiler ... . You could only try another compiler (version).
Or is there simply some memory / stack size (limit) problem crashing the compiler?

Juergen

hayak
Newbie
Newbie
Posts: 6
Joined: Mon May 06, 2013 11:47 am
License Nr.: 5-1316
Location: Ariel university Israel

Re: Vasp 6.2.1 Intel Oneapi Compiler 2021.3.0 /Openmpi 4.1.1 nonl.f90: catastrophic error

#6 Post by hayak » Wed Aug 11, 2021 10:19 am

Problem only with use -qopenmp parameter …

andreas.singraber
Global Moderator
Global Moderator
Posts: 48
Joined: Mon Apr 26, 2021 7:40 am

Re: Vasp 6.2.1 Intel Oneapi Compiler 2021.3.0 /Openmpi 4.1.1 nonl.f90: catastrophic error

#7 Post by andreas.singraber » Fri Aug 20, 2021 2:09 pm

Hi hayak,

thank you for reporting this, I was able to reproduce the error with the Intel oneAPI compiler 2021.3. However, I was not using OpenMPI, your makefile.include also does not indicate that you used OpenMPI, are you sure about this (there is probably no connection to MPI)? Anyway, we will further investigate the origin of this.. in the meantime I can only recommend to stick to the 2021.2 version which worked well in my case. Can you try this out?

All the best,

Andreas

Post Reply